use [ReindexTimeBomb]
GO

-- Reindexing: Compare these two syntaxes:

-- can't do it online, it generates an error message:
ALTER INDEX PK_BIG_MESSAGE_TABLE ON BIG_MESSAGE_TABLE REBUILD WITH (ONLINE = ON)



-- have to do it offline (this syntax is also the default)
ALTER INDEX PK_BIG_MESSAGE_TABLE ON BIG_MESSAGE_TABLE REBUILD WITH (ONLINE = OFF) 




-- the above syntax still takes a SCH-M lock, we can replicate the same behaviour by altering the table and not committing
-- compare Sch-m and Sch-s

begin transaction
alter table BIG_MESSAGE_TABLE
add i int
rollback